LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 11-22-2012, 03:37 PM   #1
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Rep: Reputation: Disabled
Red face Installation of SUMO and how to run


Hi,
some one on the forum, suggested me to about the installatio method of SUMO
here it is

"Sumo package : sumo-bin-0.12.3-u1110_i386.deb
https://docs.google.com/open?id=0B7S...mVNZHpKTzhkUTg
sudo dpkg -i sumo-bin-0.12.3-u1110_i386.deb
.. Start command : $ sumo-gui
And : 'dpkg -L sumo-bin' will list all sumo commands."

I followed it, after the installation when i

started it using $ sumo-gui

sumo is not getting started, it says

"bash: /usr/local/bin/sumo-gui: No such file or directory"

Please help me .

thankx all!

Last edited by nadeempitafi; 11-23-2012 at 04:40 AM. Reason: delete quote
 
Old 11-22-2012, 03:57 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,547

Rep: Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509
May be you have a 64bits OS ?

This command will tell : uname -m
 
1 members found this post helpful.
Old 11-22-2012, 04:01 PM   #3
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Angry

Quote:
Originally Posted by knudfl View Post
May be you have a 64bits OS ?

This command will tell : uname -m

yes it is 64 bit !! means sumo wont run!!! please help me....
 
Old 11-22-2012, 04:06 PM   #4
arochester
Member
 
Registered: May 2006
Location: Scotland
Distribution: Debian Squeeze Xfce
Posts: 567

Rep: Reputation: 79
If you've got a.deb it can be installed with Gdebi.

Right click on the downloaded .deb and choose "Install with Gdebi."

If you haven't already got Gdebi you can install it by connecting to the Internet, opening a Terminal and issuing the command: sudo apt-get install gdebi
 
1 members found this post helpful.
Old 11-22-2012, 04:15 PM   #5
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by arochester View Post
If you've got a.deb it can be installed with Gdebi.

Right click on the downloaded .deb and choose "Install with Gdebi."

If you haven't already got Gdebi you can install it by connecting to the Internet, opening a Terminal and issuing the command: sudo apt-get install gdebi
Thanks, I have installed gdebi. and after that, i right clicked on the .deb and installed it with Gdebi, after that, I executed "sumo-gui" but still im facing the same issue, no file directory....

i dont know what is missing now
please help me guys!

thank u so much
 
Old 11-22-2012, 04:21 PM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,547

Rep: Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev
EDIT : g++ g++-4.4 gfortran libproj-dev libxerces-c2-dev libfox-1.6-dev libgdal1-1.7.0

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.

Last edited by knudfl; 11-22-2012 at 05:26 PM.
 
1 members found this post helpful.
Old 11-22-2012, 04:27 PM   #7
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.
hi,
only sudo apt-get remove sumo-bin executed successfully .
other command g++ g++ i dont know why not exectued . please help me
 
Old 11-22-2012, 04:31 PM   #8
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.
after executing
sudo apt-get install \
it was prompted at > then after executing
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev


i got this error

E: Unable to locate package libxerces-c28-dev
 
Old 11-22-2012, 04:40 PM   #9
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.
please reply knudfl

thanks
 
Old 11-22-2012, 05:29 PM   #10
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,547

Rep: Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509
# 9 . You are right. The xerces-c package should be 'libxerces-c2-dev'.

And : I missed one too : libgdal1-1.7.0
( Please see the edited post # 6.)

.
 
1 members found this post helpful.
Old 11-23-2012, 02:39 AM   #11
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev
EDIT : g++ g++-4.4 gfortran libproj-dev libxerces-c2-dev libfox-1.6-dev libgdal1-1.7.0

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.
thanks,

i have executed the EDIT line and its working, but the last two lines are not clear how to execute these and will it install the SUMO! as we've already sumo-bin-0.12.3-u1110_i386.deb what to do with that! please clear my issue . im very new to ubuntu and i really dont know the a,b,c of ubuntu as its mostly based on the commands.

thanks again
 
Old 11-23-2012, 02:43 AM   #12
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 4, # 5 : A 32bits sumo package cannot be used on the 64bits Ubuntu.

#3. Well, should be a 32bits OS for best possible "ns binary".
I.e. the ns-2.xx/validation will be slightly worse than with 32bits.
But I guess, you can use the 64bits OS.

Building sumo 0.12.3 on Ubuntu 12.04 :
sudo apt-get remove sumo-bin
sudo apt-get install \
g++ g++-4.4 gfortran libproj-dev libxerces-c28-dev libfox-1.6-dev
EDIT : g++ g++-4.4 gfortran libproj-dev libxerces-c2-dev libfox-1.6-dev libgdal1-1.7.0

cd sumo-src-0.12.3/ && export CC=gcc-4.4 CXX=g++-4.4 && ./configure && make
sudo make install

.


Dear friend after your suggested commands, when i executed i got these errors, i dont know whats wrong

Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libgl1-mesa-glx amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglapi-mesa amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglu1-mesa amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Get:1 http://archive.ubuntu.com/ubuntu/ precise/main gcc-4.4-base amd64 4.4.7-1ubuntu2 [12.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ precise/main cpp-4.4 amd64 4.4.7-1ubuntu2 [3,967 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ precise/main gcc-4.4 amd64 4.4.7-1ubuntu2 [2,967 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ precise/main libstdc++6-4.4-dev amd64 4.4.7-1ubuntu2 [1,529 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ precise/main g++-4.4 amd64 4.4.7-1ubuntu2 [5,605 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ precise/main gfortran-4.6 amd64 4.6.3-1ubuntu5 [5,579 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ precise/main gfortran amd64 4:4.6.3-1ubuntu5 [1,206 B]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main mesa-common-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libgl1-mesa-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglu1-mesa-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libpq5 amd64 9.1.6-0ubuntu12.04
404 Not Found [IP: 91.189.92.200 80]
Get:8 http://archive.ubuntu.com/ubuntu/ precise/universe libproj-dev amd64 4.7.0-1 [192 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ precise/universe libxerces-c2-dev amd64 2.8.0+deb1-2build3 [772 kB]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiffxx0c2 amd64 3.9.5-2ubuntu1.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiff4-dev amd64 3.9.5-2ubuntu1.2
404 Not Found [IP: 91.189.92.200 80]
Fetched 20.6 MB in 3min 20s (103 kB/s)
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u1.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u1.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...2.04_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
 
Old 11-23-2012, 04:00 AM   #13
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by nadeempitafi View Post
Dear friend after your suggested commands, when i executed i got these errors, i dont know whats wrong

Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libgl1-mesa-glx amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglapi-mesa amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglu1-mesa amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Get:1 http://archive.ubuntu.com/ubuntu/ precise/main gcc-4.4-base amd64 4.4.7-1ubuntu2 [12.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ precise/main cpp-4.4 amd64 4.4.7-1ubuntu2 [3,967 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ precise/main gcc-4.4 amd64 4.4.7-1ubuntu2 [2,967 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ precise/main libstdc++6-4.4-dev amd64 4.4.7-1ubuntu2 [1,529 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ precise/main g++-4.4 amd64 4.4.7-1ubuntu2 [5,605 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ precise/main gfortran-4.6 amd64 4.6.3-1ubuntu5 [5,579 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ precise/main gfortran amd64 4:4.6.3-1ubuntu5 [1,206 B]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main mesa-common-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libgl1-mesa-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libglu1-mesa-dev amd64 8.0.3+8.0.2-0ubuntu3.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libpq5 amd64 9.1.6-0ubuntu12.04
404 Not Found [IP: 91.189.92.200 80]
Get:8 http://archive.ubuntu.com/ubuntu/ precise/universe libproj-dev amd64 4.7.0-1 [192 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ precise/universe libxerces-c2-dev amd64 2.8.0+deb1-2build3 [772 kB]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiffxx0c2 amd64 3.9.5-2ubuntu1.2
404 Not Found [IP: 91.189.92.200 80]
Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiff4-dev amd64 3.9.5-2ubuntu1.2
404 Not Found [IP: 91.189.92.200 80]
Fetched 20.6 MB in 3min 20s (103 kB/s)
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u1.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u3.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...u1.2_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/poo...2.04_amd64.deb 404 Not Found [IP: 91.189.92.200 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

just now after searching i went to this site
https://launchpad.net/~sumo/+archive...+build/3438658

and downloaded
sumo_0.15.0~dfsg-2~preciseubuntu2_amd64.deb (5.0 MiB)
after executing the .deb file by double click it was installed and after the installation, when i type in terminal >sumo-gui Sumo application was launched is it OK?? or some thing is missing that will not allow me to make my scenario in MOVe+SUMO+NS2

thankx in advance

Nadeem
 
Old 11-23-2012, 04:04 AM   #14
nadeempitafi
LQ Newbie
 
Registered: Nov 2012
Posts: 29

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by nadeempitafi View Post
thanks,

i have executed the EDIT line and its working, but the last two lines are not clear how to execute these and will it install the SUMO! as we've already sumo-bin-0.12.3-u1110_i386.deb what to do with that! please clear my issue . im very new to ubuntu and i really dont know the a,b,c of ubuntu as its mostly based on the commands.

thanks again

hi,

please check the link

https://launchpad.net/~sumo/+archive/stable/+packages i have installed 64 bit sumo , but there are many other .deb files, what are important?? please tell me . thanks in advance
 
Old 11-23-2012, 04:16 AM   #15
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,547

Rep: Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509Reputation: 2509
Please stop quoting entire posts. Makes the thread unreadable.
So please delete quoted areas in posts #7 #8 #9 #11 #12.

? Did you run the required : sudo apt-get update

I.e. the package lists must be updated quite often. (apt-get update).
Packages that show "Error 404" have been updated a few days ago
to new version numbers.

.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
sumo installation on fedora 16 sims2801 Linux - Newbie 30 11-05-2012 11:27 AM
sumo installation on fedora 16 sims2801 Fedora 0 08-01-2012 06:53 AM
Sumo installation in Ubuntu yashu Linux - Networking 4 04-04-2012 03:53 AM
SUMO Installation in Fedora 15 mrnikunjdoshi Linux - Software 13 11-16-2011 02:35 AM
SUMO installation for TraNS on Fedora 12 Pranav Singh Linux - Newbie 3 11-01-2010 11:19 AM


All times are GMT -5. The time now is 08:48 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration